package sqlindexwizard.workload;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * List of Queries as ArrayList.
 * 
 * @author Benjamin Daeumlich
 *
 */
public class ListOfQueries extends ArrayList<Query> {

	private static final long serialVersionUID = 1L;

	/**
	 * Constructor, calls default constructor.
	 */
	public ListOfQueries() {
		super();
	}
	
	/**
	 * String representation of QueryList.
	 * 
	 * @return string representation
	 */
	public String toString() {
		StringBuffer s = new StringBuffer();
		Iterator<Query> i = this.iterator();
		while (i.hasNext()) {
			s.append("\t" + i.next() + "\n");
		}
		return s.toString();
	}
}
